### Method

# GLib Checksum get_string

since: 2.16

#### Declaration

    const gchar*
    g_checksum_get_string (
      GChecksum* checksum
    )

#### Description

Gets the digest as a hexadecimal string.

Once this function has been called the `GChecksum` can no longer be updated with g_checksum_update().

The hexadecimal characters will be lower case.

Available since: 2.16

#### Return value

Type: `const gchar*`

The hexadecimal representation of the checksum. The returned string is owned by the checksum and should not be modified or freed.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.